| Kea 3.0.2-git

d2_zone.h File Reference
`#include <dns/name.h>`
`#include <dns/rrclass.h>`
`#include <boost/shared_ptr.hpp>`
Include dependency graph for d2_zone.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::d2::D2Zone
| The `D2Zone` encapsulates the Zone section in DNS Update message. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::d2

## Typedefs
typedef boost::shared_ptr< D2Zone > | isc::d2::D2ZonePtr

## Functions
std::ostream & | isc::d2::operator<< (std::ostream &os, const D2Zone &zone)
| Insert the `D2Zone` as a string into stream.